package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;
import java.util.Date;

import it.integry.integrywmsnative.core.utility.UtilityDate;

public class DtbDocr {

    private String codAnag;

    private String codDtip;

    private String dataDoc;

    private Integer idRiga;

    private Integer numDoc;

    private String serDoc;

    private String codAliq;

    private String codAnagComp;

    private String codArtFor;

    private String codCol;

    private String codDtipComp;

    private String codJcom;

    private String codMart;

    private String codMdep;

    private String codPromo;

    private String codTagl;

    private BigDecimal costoUnt;

    private String dataDocComp;

    private String dataOrd;

    private String descrizione;

    private String descrizioneEstesa;

    private String flagEvasoForzato;

    private BigDecimal importoRiga;

    private BigDecimal numCnf;

    private Integer numDocComp;

    private Integer numOrd;

    private String partitaMag;

    private BigDecimal percGest;

    private BigDecimal percIspe;

    private BigDecimal percOneri;

    private BigDecimal percPromo;

    private BigDecimal percProv;

    private BigDecimal percProv2;

    private BigDecimal pesoLordo;

    private String posizione;

    private BigDecimal qtaCnf;

    private BigDecimal qtaDoc;

    private BigDecimal qtaDoc2;

    private BigDecimal qtaDoc3;

    private BigDecimal rapConv;

    private Integer rigaOrd;

    private BigDecimal sconto5;

    private BigDecimal sconto6;

    private BigDecimal sconto7;

    private BigDecimal sconto8;

    private String serDocComp;

    private String untDoc;

    private String untDoc2;

    private String untDoc3;

    private BigDecimal valGest;

    private BigDecimal valIspe;

    private BigDecimal valOneri;

    private BigDecimal valPromo;

    private BigDecimal valProv;

    private BigDecimal valProv2;

    private BigDecimal valUnt;

    private BigDecimal valUntIva;

    private String codMtip;

    private String matricola;

    private String dataInizComp;

    private String dataFineComp;

    private String codKit;

    private String codAlis;

    private String dataInsRow;

    private String note;

    private int rigaKit;

    private MtbAart mtbAart;

    private String dataScadPartitaMag;

    public String getCodAnag() {
        return codAnag;
    }

    public DtbDocr setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public DtbDocr setCodDtip(String codDtip) {
        this.codDtip = codDtip;
        return this;
    }

    public String getDataDocS() {
        return dataDoc;
    }

    public Date getDataDocD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataDocS());
    }

    public DtbDocr setDataDoc(String dataDoc) {
        this.dataDoc = dataDoc;
        return this;
    }

    public Integer getIdRiga() {
        return idRiga;
    }

    public DtbDocr setIdRiga(Integer idRiga) {
        this.idRiga = idRiga;
        return this;
    }

    public Integer getNumDoc() {
        return numDoc;
    }

    public DtbDocr setNumDoc(Integer numDoc) {
        this.numDoc = numDoc;
        return this;
    }

    public String getSerDoc() {
        return serDoc;
    }

    public DtbDocr setSerDoc(String serDoc) {
        this.serDoc = serDoc;
        return this;
    }

    public String getCodAliq() {
        return codAliq;
    }

    public DtbDocr setCodAliq(String codAliq) {
        this.codAliq = codAliq;
        return this;
    }

    public String getCodAnagComp() {
        return codAnagComp;
    }

    public DtbDocr setCodAnagComp(String codAnagComp) {
        this.codAnagComp = codAnagComp;
        return this;
    }

    public String getCodArtFor() {
        return codArtFor;
    }

    public DtbDocr setCodArtFor(String codArtFor) {
        this.codArtFor = codArtFor;
        return this;
    }

    public String getCodCol() {
        return codCol;
    }

    public DtbDocr setCodCol(String codCol) {
        this.codCol = codCol;
        return this;
    }

    public String getCodDtipComp() {
        return codDtipComp;
    }

    public DtbDocr setCodDtipComp(String codDtipComp) {
        this.codDtipComp = codDtipComp;
        return this;
    }

    public String getCodJcom() {
        return codJcom;
    }

    public DtbDocr setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public DtbDocr setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public DtbDocr setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getCodPromo() {
        return codPromo;
    }

    public DtbDocr setCodPromo(String codPromo) {
        this.codPromo = codPromo;
        return this;
    }

    public String getCodTagl() {
        return codTagl;
    }

    public DtbDocr setCodTagl(String codTagl) {
        this.codTagl = codTagl;
        return this;
    }

    public BigDecimal getCostoUnt() {
        return costoUnt;
    }

    public DtbDocr setCostoUnt(BigDecimal costoUnt) {
        this.costoUnt = costoUnt;
        return this;
    }

    public String getDataDocComp() {
        return dataDocComp;
    }

    public DtbDocr setDataDocComp(String dataDocComp) {
        this.dataDocComp = dataDocComp;
        return this;
    }

    public String getDataOrd() {
        return dataOrd;
    }

    public DtbDocr setDataOrd(String dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public DtbDocr setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getDescrizioneEstesa() {
        return descrizioneEstesa;
    }

    public DtbDocr setDescrizioneEstesa(String descrizioneEstesa) {
        this.descrizioneEstesa = descrizioneEstesa;
        return this;
    }

    public String getFlagEvasoForzato() {
        return flagEvasoForzato;
    }

    public DtbDocr setFlagEvasoForzato(String flagEvasoForzato) {
        this.flagEvasoForzato = flagEvasoForzato;
        return this;
    }

    public BigDecimal getImportoRiga() {
        return importoRiga;
    }

    public DtbDocr setImportoRiga(BigDecimal importoRiga) {
        this.importoRiga = importoRiga;
        return this;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public DtbDocr setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public Integer getNumDocComp() {
        return numDocComp;
    }

    public DtbDocr setNumDocComp(Integer numDocComp) {
        this.numDocComp = numDocComp;
        return this;
    }

    public Integer getNumOrd() {
        return numOrd;
    }

    public DtbDocr setNumOrd(Integer numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public DtbDocr setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public BigDecimal getPercGest() {
        return percGest;
    }

    public DtbDocr setPercGest(BigDecimal percGest) {
        this.percGest = percGest;
        return this;
    }

    public BigDecimal getPercIspe() {
        return percIspe;
    }

    public DtbDocr setPercIspe(BigDecimal percIspe) {
        this.percIspe = percIspe;
        return this;
    }

    public BigDecimal getPercOneri() {
        return percOneri;
    }

    public DtbDocr setPercOneri(BigDecimal percOneri) {
        this.percOneri = percOneri;
        return this;
    }

    public BigDecimal getPercPromo() {
        return percPromo;
    }

    public DtbDocr setPercPromo(BigDecimal percPromo) {
        this.percPromo = percPromo;
        return this;
    }

    public BigDecimal getPercProv() {
        return percProv;
    }

    public DtbDocr setPercProv(BigDecimal percProv) {
        this.percProv = percProv;
        return this;
    }

    public BigDecimal getPercProv2() {
        return percProv2;
    }

    public DtbDocr setPercProv2(BigDecimal percProv2) {
        this.percProv2 = percProv2;
        return this;
    }

    public BigDecimal getPesoLordo() {
        return pesoLordo;
    }

    public DtbDocr setPesoLordo(BigDecimal pesoLordo) {
        this.pesoLordo = pesoLordo;
        return this;
    }

    public String getPosizione() {
        return posizione;
    }

    public DtbDocr setPosizione(String posizione) {
        this.posizione = posizione;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public DtbDocr setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public BigDecimal getQtaDoc() {
        return qtaDoc;
    }

    public DtbDocr setQtaDoc(BigDecimal qtaDoc) {
        this.qtaDoc = qtaDoc;
        return this;
    }

    public BigDecimal getQtaDoc2() {
        return qtaDoc2;
    }

    public DtbDocr setQtaDoc2(BigDecimal qtaDoc2) {
        this.qtaDoc2 = qtaDoc2;
        return this;
    }

    public BigDecimal getQtaDoc3() {
        return qtaDoc3;
    }

    public DtbDocr setQtaDoc3(BigDecimal qtaDoc3) {
        this.qtaDoc3 = qtaDoc3;
        return this;
    }

    public BigDecimal getRapConv() {
        return rapConv;
    }

    public DtbDocr setRapConv(BigDecimal rapConv) {
        this.rapConv = rapConv;
        return this;
    }

    public Integer getRigaOrd() {
        return rigaOrd;
    }

    public DtbDocr setRigaOrd(Integer rigaOrd) {
        this.rigaOrd = rigaOrd;
        return this;
    }

    public BigDecimal getSconto5() {
        return sconto5;
    }

    public DtbDocr setSconto5(BigDecimal sconto5) {
        this.sconto5 = sconto5;
        return this;
    }

    public BigDecimal getSconto6() {
        return sconto6;
    }

    public DtbDocr setSconto6(BigDecimal sconto6) {
        this.sconto6 = sconto6;
        return this;
    }

    public BigDecimal getSconto7() {
        return sconto7;
    }

    public DtbDocr setSconto7(BigDecimal sconto7) {
        this.sconto7 = sconto7;
        return this;
    }

    public BigDecimal getSconto8() {
        return sconto8;
    }

    public DtbDocr setSconto8(BigDecimal sconto8) {
        this.sconto8 = sconto8;
        return this;
    }

    public String getSerDocComp() {
        return serDocComp;
    }

    public DtbDocr setSerDocComp(String serDocComp) {
        this.serDocComp = serDocComp;
        return this;
    }

    public String getUntDoc() {
        return untDoc;
    }

    public DtbDocr setUntDoc(String untDoc) {
        this.untDoc = untDoc;
        return this;
    }

    public String getUntDoc2() {
        return untDoc2;
    }

    public DtbDocr setUntDoc2(String untDoc2) {
        this.untDoc2 = untDoc2;
        return this;
    }

    public String getUntDoc3() {
        return untDoc3;
    }

    public DtbDocr setUntDoc3(String untDoc3) {
        this.untDoc3 = untDoc3;
        return this;
    }

    public BigDecimal getValGest() {
        return valGest;
    }

    public DtbDocr setValGest(BigDecimal valGest) {
        this.valGest = valGest;
        return this;
    }

    public BigDecimal getValIspe() {
        return valIspe;
    }

    public DtbDocr setValIspe(BigDecimal valIspe) {
        this.valIspe = valIspe;
        return this;
    }

    public BigDecimal getValOneri() {
        return valOneri;
    }

    public DtbDocr setValOneri(BigDecimal valOneri) {
        this.valOneri = valOneri;
        return this;
    }

    public BigDecimal getValPromo() {
        return valPromo;
    }

    public DtbDocr setValPromo(BigDecimal valPromo) {
        this.valPromo = valPromo;
        return this;
    }

    public BigDecimal getValProv() {
        return valProv;
    }

    public DtbDocr setValProv(BigDecimal valProv) {
        this.valProv = valProv;
        return this;
    }

    public BigDecimal getValProv2() {
        return valProv2;
    }

    public DtbDocr setValProv2(BigDecimal valProv2) {
        this.valProv2 = valProv2;
        return this;
    }

    public BigDecimal getValUnt() {
        return valUnt;
    }

    public DtbDocr setValUnt(BigDecimal valUnt) {
        this.valUnt = valUnt;
        return this;
    }

    public BigDecimal getValUntIva() {
        return valUntIva;
    }

    public DtbDocr setValUntIva(BigDecimal valUntIva) {
        this.valUntIva = valUntIva;
        return this;
    }

    public String getCodMtip() {
        return codMtip;
    }

    public DtbDocr setCodMtip(String codMtip) {
        this.codMtip = codMtip;
        return this;
    }

    public String getMatricola() {
        return matricola;
    }

    public DtbDocr setMatricola(String matricola) {
        this.matricola = matricola;
        return this;
    }

    public String getDataInizComp() {
        return dataInizComp;
    }

    public DtbDocr setDataInizComp(String dataInizComp) {
        this.dataInizComp = dataInizComp;
        return this;
    }

    public String getDataFineComp() {
        return dataFineComp;
    }

    public DtbDocr setDataFineComp(String dataFineComp) {
        this.dataFineComp = dataFineComp;
        return this;
    }

    public String getCodKit() {
        return codKit;
    }

    public DtbDocr setCodKit(String codKit) {
        this.codKit = codKit;
        return this;
    }

    public String getCodAlis() {
        return codAlis;
    }

    public DtbDocr setCodAlis(String codAlis) {
        this.codAlis = codAlis;
        return this;
    }

    public String getDataInsRow() {
        return dataInsRow;
    }

    public DtbDocr setDataInsRow(String dataInsRow) {
        this.dataInsRow = dataInsRow;
        return this;
    }

    public String getNote() {
        return note;
    }

    public DtbDocr setNote(String note) {
        this.note = note;
        return this;
    }

    public int getRigaKit() {
        return rigaKit;
    }

    public DtbDocr setRigaKit(int rigaKit) {
        this.rigaKit = rigaKit;
        return this;
    }

    public String getDataScadPartitaMag() {
        return dataScadPartitaMag;
    }

    public Date getDataScadPartitaMagD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataScadPartitaMag());
    }

    public DtbDocr setDataScadPartitaMag(String dataScadPartitaMag) {
        this.dataScadPartitaMag = dataScadPartitaMag;
        return this;
    }

    public MtbAart getMtbAart() {
        return mtbAart;
    }

    public DtbDocr setMtbAart(MtbAart mtbAart) {
        this.mtbAart = mtbAart;
        return this;
    }

}
